Subject: Approval to Post Version -00 Internet-Drafts for the 70th IETF Meeting in Vancouver, BC, Canada

From: Internet-Drafts Administrator <[email-masked]>
Date: Fri, 12 Oct 2007 00:00:02 -0400

Dear IETF Working Group Chairs:

In order to expedite the processing of the many version -00 I-Ds that 
the Secretariat receives before an IETF meeting, we ask that you 
please notify the Secretariat prior to the initial submission cutoff 
date of all version -00 I-Ds that you expect to approve for posting as 
WG documents.  Please send the filenames of your approved -00 I-Ds to 
[email-masked].  Also, please indicate if a new version -00 
I-D replaces any existing I-Ds, and if so, which ones.  We would 
appreciate receiving your list of approved drafts five (5) business days 
prior to the cutoff date for -00 submissions, or by Monday, November 5th at 
9:00 AM ET (14:00 UTC/GMT) for the 70th IETF Meeting.  Please include the word "Approved 
I-Ds" in the "Subject" field.  This procedure will help to ensure that 
version -00 I-Ds are posted in a timely manner, allowing more time for 
review by the public.

Thank you for your cooperation in this matter.

The Internet-Drafts Administrator

FYI: The Internet-Draft cutoff dates as well as other significant dates
for the 70th IETF Meeting can be found at http://www.ietf.org/meetings/cutoff_dates_70.html.

---

From: Dean Willis <[email-masked]>
Date: Tue, 16 Oct 2007 18:53:23 -0500

> version -00 I-Ds are posted in a timely manner, allowing more time for

Why? What does this accomplish? How does it make things any easier  
for you?

And what should be doing with tools to make this not necessary?

--
Dean Willis

---

From: "Fuller, Barbara" <[email-masked]>
Date: Wed, 17 Oct 2007 17:18:26 -0400

Hi Dean:

Please see my comments in line.

Barbara

-----Original Message-----
From: Dean Willis [mailto:[email-masked]] 
Sent: Tuesday, October 16, 2007 7:53 PM
To: Internet-Drafts Administrator
Cc: Working Group Chairs
Subject: Re: Approval to Post Version -00 Internet-Drafts for the 70th
IETFMeeting in Vancouver, BC, Canada 

> version -00 I-Ds are posted in a timely manner, allowing more time for

BARBARA'S RESPONSE: We sent a REVISED message to the WG chairs list on
October, 12th at 2:02 p.m. with updated information.

DEAN'S QUESTION: Why? What does this accomplish? How does it make things
any easier for you? 

BARBARA'S RESPONSE:  If a version -00 WG draft is pre-approved by the WG
chair, then when that draft is submitted it can be posted immediately
(if the submission is via the tool), or in a timely manner (if the
submission is via e-mail).  If the draft is *not* pre-approved, then
additional steps are required to obtain WG chair approval.  These
additional steps can delay the posting of the draft...sometimes by
several days.

DEAN'S QUESTION: And what should [we] be doing with tools to make this
not necessary?

BARBARA'S RESPONSE:  The REVISED message contained the following
sentence:

"Please send the filenames of your approved -00 I-Ds to
[email-masked], or use the "Initial Version WG Draft Approval
Tool" https://datatracker.ietf.org/cgi-bin/wg/wg_init_rev_approval.cgi
to pre-approve drafts."

While the Secretariat encourages IETF participants to submit their I-Ds
via the IDST, e-mail submissions are still accepted.  If the submitter
successfully submits the I-D via the IDST, and if the draft has been
pre-approved, then the draft gets posted immediately.  If the submitter
successfully submits the I-D via the tool, and if the draft has *not*
been pre-approved, then the tool sends a message to the WG chair
requesting approval, which delays the posting of the draft.

If the draft is submitted by e-mail OR if the submission via the tool is
not successful, then the I-D Administrator must post the draft manually.
If the draft has been pre-approved, then it is posted in a timely
manner.  If not, then approval must be obtained by a cumbersome series
of e-mail exchanges, and the posting is delayed. 
--
Dean Willis

---

From: Dean Willis <[email-masked]>
Date: Thu, 18 Oct 2007 03:17:25 -0500

> Tool" https://datatracker.ietf.org/cgi-bin/wg/wg_init_rev_approval.cgi

Here's the deal -- despite having chaired this WG for nigh unto 10  
years, I still can't tell you what drafts are actually going to  
happen until they show up. And to be totally honest, I'm never 100%  
sure what their names are going to be. Sure, I suggest names, but  
sometimes they get twiddled in the process, so I just don't know  
until they've actually been submitted and I've scanned the submitted  
draft. If I had more prescience than that, I'd get rich playing the  
stock market. If this causes a delay until I get around to approving  
them, that's OK with me.

My only other option is to preapprove every draft that might possibly  
arrive, and experience tells me there's a 50% chance that any given  
draft won't show up. There's also a fair chance that some other  
cowboy will submit a draft with an approved title, even though the  
draft itself is totally bogus. Yes, people we've never heard of  
submit drafts, and sometimes they make up names that just happen to  
collide with the planned WG names.

So which is better -- preapproving every draft that might possibly  
show up (and I have 20 or so of those, some meetings) which might  
result in bogus drafts being posted, or waiting until one actually  
arrives, and then approving it, even if this makes for a 48 hour  
delay between submission and posting?

It seems to me that it's better for the chairs to eyeball the  
actually-submitted draft, then approve it if it is reasonable.

And that's why I've always thought draft pre-approval to be a really  
bad idea.

--
Dean

---

From: Barry Leiba <[email-masked]>
Date: Thu, 18 Oct 2007 08:22:24 -0400

Dean says...
> Here's the deal -- despite having chaired this WG for nigh unto 10 years, I
> still can't tell you what drafts are actually going to happen until they show
> up. And to be totally honest, I'm never 100% sure what their names are going to
> be. Sure, I suggest names, but sometimes they get twiddled in the process, so I
> just don't know until they've actually been submitted and I've scanned the
> submitted draft. If I had more prescience than that, I'd get rich playing the
> stock market. If this causes a delay until I get around to approving them,
> that's OK with me.
>
> My only other option is to preapprove every draft that might possibly arrive,
> and experience tells me there's a 50% chance that any given draft won't show
> up. There's also a fair chance that some other cowboy will submit a draft with
> an approved title, even though the draft itself is totally bogus. Yes, people
> we've never heard of submit drafts, and sometimes they make up names that just
> happen to collide with the planned WG names.

I think SIP is an unusual working group in that regard: you have more drafts 
published, and more than have come and gone, disappearing into expiration, than 
most WGs do.

Most of us can keep the situation you describe under more control than that, 
because there's not quite so much going on in the WG.  Besides, when I've sent 
pre-approval for an expected -00 draft, I've also told them who to expect it to 
come from (and I've talked with the author first, too).

Probably for SIP, you're right: pre-approval doesn't work out.  For DKIM, which I 
chair, and for the WGs for which I write documents (imapext, sieve, lemonade), it 
has worked fine.  Different WGs will have different needs.

Barry

--
Barry Leiba, DKIM working group chair  ([email-masked])
http://www.research.ibm.com/people/l/leiba
http://www.research.ibm.com/spam

---

From: Spencer Dawkins <[email-masked]>
Date: Thu, 18 Oct 2007 08:12:17 -0500

(Dropping Barbara so she doesn't get more e-mail than she needs to)

I think what we're talking about is whether it is a problem for Bozo McClown 
to submit draft-ietf-sip-gruu-00.txt five minutes before Jonathan Rosenberg 
does. If it is, then of course we need approval to post it.

If we are willing to delete the bogus draft-ietf-sip-gruu-00.txt so we can 
replace it with Jonathan's draft, we don't need approval, much less 
preapproval.

If we think this would happen once a week, we should continue approving 
these drafts. If we think it would happen once a year, maybe we have more 
process than we actually need.

I've never had a problem submitting a non-00 draft version when I wasn't on 
the author list of 00, so I don't think we are keeping Bozo McClown from 
submitting draft-ietf-sip-gruu-01.txt now, and I'm not sure we're solving a 
really important problem with the 00 approvals...

Bozo Mc ^H^H^H^H^H^H^H Spencer

>> them,
>> arrive,
> I think SIP is an unusual working group in that regard: you have more 
> drafts published, and more than have come and gone, disappearing into 
> expiration, than most WGs do.
>
> Most of us can keep the situation you describe under more control than 
> that, because there's not quite so much going on in the WG.  Besides, when 
> I've sent pre-approval for an expected -00 draft, I've also told them who 
> to expect it to come from (and I've talked with the author first, too).
>
> Probably for SIP, you're right: pre-approval doesn't work out.  For DKIM, 
> which I chair, and for the WGs for which I write documents (imapext, 
> sieve, lemonade), it has worked fine.  Different WGs will have different 
> needs.
>
> Barry

---

From: Barry Leiba <[email-masked]>
Date: Thu, 18 Oct 2007 09:39:46 -0400

> I've never had a problem submitting a non-00 draft version when I wasn't on the
> author list of 00, so I don't think we are keeping Bozo McClown from submitting
> draft-ietf-sip-gruu-01.txt now, and I'm not sure we're solving a really
> important problem with the 00 approvals...

I think the point is that we're avoiding the issue where someone who isn't aware 
of the process says, "Hm, I have a draft I want to float, and it has something to 
do with SIP.  Ah, I see that the SIP drafts are called 'draft-ietf-sip-...', so 
that's how I'll name mine."  Yes, we can fix that after the fact, but this way we 
have some vetting in the process.  I don't think that's a bad thing.

That is, we're not stopping people intent on breaking the system from doing so, 
so much as we're stopping people who aren't really aware from making an easily 
preventable mistake.

Barry

---

From: Leslie Daigle <[email-masked]>
Date: Thu, 18 Oct 2007 10:13:45 -0400

A couple comments from a former WG chair...

Barry Leiba wrote:
> I think the point is that we're avoiding the issue where someone who 
> isn't aware of the process says, "Hm, I have a draft I want to float, 
> and it has something to do with SIP.  Ah, I see that the SIP drafts are 
> called 'draft-ietf-sip-...', so that's how I'll name mine."  

As I recall, yes, this used to be a considerable problem.
It made it very hard to be clear about what was a WG deliverable
and what was not.  Few working groups work well by accepting
any and all documents as work items -- I recall the very
bad old days of the LDAP working group where Tim Howes had
to schedule a 3rd WG session during the IETF week just so that
the group could prioritize which of the 30 current drafts
would be discussed at the other two.

It seems WG chairs have to gate the acceptance of I-D's as
work items, which currently means I-D's with "draft-ietf-<WG>".

Whether we have the right implementation of that now
is a separate matter.

Leslie.

 > Yes, we can
> fix that after the fact, but this way we have some vetting in the 
> process.  I don't think that's a bad thing.
> 
> That is, we're not stopping people intent on breaking the system from 
> doing so, so much as we're stopping people who aren't really aware from 
> making an easily preventable mistake.
> 
> Barry
> 
> 
> 

-- 

-------------------------------------------------------------------
"Reality:
      Yours to discover."
                                 -- ThinkingCat
Leslie Daigle
[email-masked]
-------------------------------------------------------------------

---

From: Dean Willis <[email-masked]>
Date: Thu, 18 Oct 2007 11:20:49 -0500

On Oct 18, 2007, at 8:39 AM, Barry Leiba wrote:

> I think the point is that we're avoiding the issue where someone  
> who isn't aware of the process says, "Hm, I have a draft I want to  
> float, and it has something to do with SIP.  Ah, I see that the SIP  
> drafts are called 'draft-ietf-sip-...', so that's how I'll name  
> mine."  Yes, we can fix that after the fact, but this way we have  
> some vetting in the process.  I don't think that's a bad thing.
>
> That is, we're not stopping people intent on breaking the system  
> from doing so, so much as we're stopping people who aren't really  
> aware from making an easily preventable mistake.

Right. That's exactly the point I was trying to make.

While it is true that this easily preventable mistake is most likely  
to occur on -00 drafts, we might even go further. We have seen race  
conditions where two different authors both submitted updates with  
conflicting numbers to the same WG draft.

I would think it reasonable for the process to require a WG chair (or  
AD, or other designated approver) approve every WG draft posted, not  
just -00 drafts. There's nothing special about -00 drafts except that  
they frequently obsolete an individual draft with a different name.

And we have the nifty approval tool now to help automate it.

--
Dean

---

From: Gorry Fairhurst <[email-masked]>
Date: Fri, 19 Oct 2007 16:47:29 +0100

I really like the on-line submission tool ... but I had reason to submit 
a draft today using an old template from word, and found it incredibly 
frustrating to get the meta-data correct.

I realised passing Idnits was not enough.

I was not put-off, and persevered, finally, finally figured out how to 
format page numbers so I got that meta data.

Worked liked crazy trying to figure how to get author names to match 
email addresses... to finally be rewarded with:

	Error

	Your request was not processed due to the following error(s):

	DoS Attack Warning

	* A same I-D cannot be submitted more than 20 times a day.

	Go back to Upload screen

- So, I now have TWO requests for future versions of the tool ...

* Why can't IDNits report the metadata for me - so I can find out if it 
is correct?

* Why can't the submissiom tool tell me after 19 attempts this is your 
last go... and I'd do a manual fix to the metadata.

Next time, I'll just let the secretariat fix the meta-data:-), of course 
I could move my old I-Ds to new tools;-)

Gorry

---

From: "Eastlake III Donald-LDE008" <[email-masked]>
Date: Fri, 19 Oct 2007 11:59:41 -0400

So I submitted a draft recently and the submission tool did a fairly
poor job of extracting meta-data. While it was not that hard to just fix
it up in the tool manual submission path, I was wondering if there is
any documentation anywhere on what mystic method the tool uses to
extract the meta-data? I might have tried to fix the meta-data extracted
by changing the draft except that, in most cases, it was completely
unclear to me what changes to make.

Donald
====================================================
 Donald E. Eastlake 3rd      +1-508-786-7554 (work)
 Motorola Laboratories
 111 Locke Drive
 Marlborough, MA 01752 USA
 [email-masked]

-----Original Message-----
From: Gorry Fairhurst [mailto:[email-masked]] 
Sent: Friday, October 19, 2007 11:47 AM
To: Working Group Chairs
Subject: Meta data in the tool & a few other things...

	Error

	DoS Attack Warning

	Go back to Upload screen

Gorry

---

From: Jari Arkko <[email-masked]>
Date: Fri, 19 Oct 2007 20:32:25 +0300

It would be interesting to know what the tool uses for metadata
extraction. (I hope my tools aren't guilty here, but as far as I know
they are only used for statistics and [email-masked] addresses.)

As a side note, moving to XML2RFC has been found to reduce headache
among document authors.

Jari